#!/usr/bin/make -f

RT_VERSIONS=4
BASE=extension-jsgantt

%:
	dh $@

override_dh_auto_configure:
	rm -rf inc/Module
	for ver in $(RT_VERSIONS); do \
	 RTHOME=/usr/share/request-tracker$$ver perl Makefile.PL INSTALLDIRS=vendor; \
	 mv Makefile Makefile$$ver; \
	done

override_dh_auto_test:

override_dh_auto_install:
	for ver in $(RT_VERSIONS); do \
	 ln -sf Makefile$$ver Makefile; \
	 export PERL_INSTALL_ROOT=$(CURDIR)/debian/rt$$ver-$(BASE); \
	 make install; \
	 chmod -R -x $(CURDIR)/debian/rt$$ver-$(BASE)/usr/share/request-tracker$$ver/plugins/RT-Extension-JSGantt/html/NoAuth/*/*; \
	 chmod -R -x $(CURDIR)/debian/rt$$ver-$(BASE)/usr/share/request-tracker$$ver/plugins/RT-Extension-JSGantt/static/*/*; \
	 mkdir -p debian/rt-$(BASE)-common/usr/share/man/man3; \
	done
	dh_install

override_dh_auto_clean:
	dh_auto_clean
	rm -rf MYMETA.yml
	for ver in $(RT_VERSIONS); do \
	 rm -rf Makefile$$ver; \
	done
